FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::Designator< T > Class Template Reference

## Public Types
using | Result = T

## Public Member Functions
| Designator (const DataRef &that)
| Designator (DataRef &&that)
std::optional< DynamicType > | GetType () const
int | Rank () const
BaseObject | GetBaseObject () const
const Symbol * | GetLastSymbol () const
std::optional< Expr< SubscriptInteger > > | LEN () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &o) const

## Public Attributes
Variant | u

The documentation for this class was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp